# latest git
%define commit 12d312877eef81ec1b310beca7d614cf1309c7f3

%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global _default_patch_fuzz 2
%global build_timestamp %(date +"%Y%m%d")

%global rel_build 2.git.%{build_timestamp}.%{shortcommit}%{?dist}

Name:           JamesDSP
Version:        2.7.0
Release:        %{rel_build}
Summary:        An audio effect processor for PipeWire clients
License:        GPLv3
URL:            https://github.com/Audio4Linux/JDSP4Linux/

#Source0:        %%{url}/archive/%%{commit}/JDSP4Linux-%%{shortcommit}.tar.gz
ExcludeArch:    %{ix86}

BuildRequires:  libarchive-devel
BuildRequires:  (qt6-qtbase-devel or qt6-base-devel)
BuildRequires:  (qt6-qtbase-private-devel or qt6-base-private-devel)
BuildRequires:  (qt6-qtsvg-devel or qt6-svg-devel)
BuildRequires:  gcc-c++
BuildRequires:  glibmm24-devel
BuildRequires:  glib2-devel
BuildRequires:  pipewire-devel
BuildRequires:  make
BuildRequires:  git
BuildRequires:  libxkbcommon-devel

Requires:    pipewire >= 0.3.19


%description
James DSP for Linux

%prep

%build
%global _qt6_build_tool make
git clone --recursive %{url}
cd JDSP4Linux
git checkout %{shortcommit}
%qmake_qt6 JDSP4Linux.pro
%make_build
install -Dm755 src/jamesdsp %{buildroot}/%{_bindir}/jamesdsp
install -Dm644 resources/icons/icon.png %{buildroot}/%{_datadir}/pixmaps/jamesdsp.png
install -Dm644 resources/icons/icon.svg %{buildroot}/%{_datadir}/hicolor/scalable/apps/jamesdsp.svg
install -Dm755 meta/flatpak/me.timschneeberger.jdsp4linux.desktop %{buildroot}/%{_datadir}/applications/jamesdsp.desktop

%files
%license JDSP4Linux/LICENSE
%{_bindir}/jamesdsp
%{_datadir}/pixmaps/jamesdsp.png
%{_datadir}/hicolor/scalable/apps/jamesdsp.svg
%{_datadir}/applications/jamesdsp.desktop

%changelog

